$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-loader'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Loader-1.0.14-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Loader-1.0.14-BETA.msi'
  softwareName = 'Invantive Data Loader'
  checksum = '53923FC33C04E6DFBD0BF7C81FDC6C0BD6DFE1D61E27167DB1A35535902ED506'
  checksumType = 'sha256'
  checksum64 = '53923FC33C04E6DFBD0BF7C81FDC6C0BD6DFE1D61E27167DB1A35535902ED506'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-loader-1.0.14-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
